%global srcname distlib
%global common_description %{expand:
Distlib contains the implementations of the packaging PEPs and other low-level features which relate
to packaging, distribution and deployment of Python software. If Distlib can be made genuinely useful, then it is possible for third-party packaging tools to transition to using it. Their developers and
users then benefit from standardised implementation of low-level functions, time saved by not having
to reinvent wheels, and improved interoperability between tools.}

Summary:       Low-level components of distutils2/packaging, augmented with higher-level APIs
Name:          python-distlib
Version:       0.3.4
Release:       3%{?dist}
License:       Python
URL:           https://readthedocs.org/projects/distlib/
Source0:       https://files.pythonhosted.org/packages/source/d/distlib/%{srcname}-%{version}.zip

Patch3000:     distlib_unbundle.patch

BuildRequires: python%{python3_pkgversion}-devel pyproject-rpm-macros

BuildArch:     noarch

%description
%{common_description}

%package -n python%{python3_pkgversion}-%{srcname}
Summary: Low-level components of distutils2/packaging, augmented with higher-level APIs

%description -n python%{python3_pkgversion}-%{srcname}
%{common_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

rm distlib/*.exe
rm -rf distlib/_backport

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
export PYTHONHASHSEED=0
export SKIP_ONLINE=1
%{python3} setup.py test

%files -n python%{python3_pkgversion}-%{srcname} -f %pyproject_files
%license LICENSE.txt
%doc README.rst

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.4-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 29 2022 Shuo Wang <abushwang@tencent.com> - 0.3.4-1
- initial build
